commit 7054e8517c79dbc6f1fa0952f24f26e4d3cd842d
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Dec 13 01:17:55 2021

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index c59e542a641..6fc1d23247b 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211212
+20211213
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index 0f31e8e1ce8..5a941e6d908 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,12 @@
+2021-12-12  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-12-11  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/103606
+	* resolve.c (resolve_fl_procedure): Do not access CLASS components
+	before class container has been built.
+
 2021-12-11  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 592c6197206..56a85175629 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2021-12-12  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-12-11  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/103606
+	* gfortran.dg/pr103606.f90: New test.
+
 2021-12-11  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:

